Package org.eclipse.viatra.query.runtime.localsearch.plan

## Class PlanDescriptor

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.plan.PlanDescriptor

- All Implemented Interfaces:
    `IPlanDescriptor`

      public class PlanDescriptor
      extends java.lang.Object
      implements IPlanDescriptor

  Since:
    1.4

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlanDescriptor​(PQuery pquery, java.util.Collection<SearchPlanForBody> plan, java.util.Set<PParameter> adornment)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<PParameter>` | `getAdornment()` | The set of parameters this plan assumes to be bound
    `java.util.Set<IInputKey>` | `getIteratedKeys()` | The collection of `IInputKey`s which needs to be iterated during the execution of this plan.
    `java.util.Collection<SearchPlanForBody>` | `getPlan()` | The executable search plans for each body in the query
    `PQuery` | `getQuery()` | The query which this plan implements
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlanDescriptor

          public PlanDescriptor​(PQuery pquery,
                                java.util.Collection<SearchPlanForBody> plan,
                                java.util.Set<PParameter> adornment)

  - ### Method Detail

    - #### getQuery

          public PQuery getQuery()

      Description copied from interface: `IPlanDescriptor`
      The query which this plan implements
      Specified by:
        `getQuery` in interface `IPlanDescriptor`

    - #### getPlan

          public java.util.Collection<SearchPlanForBody> getPlan()

      Description copied from interface: `IPlanDescriptor`
      The executable search plans for each body in the query
      Specified by:
        `getPlan` in interface `IPlanDescriptor`

    - #### getAdornment

          public java.util.Set<PParameter> getAdornment()

      Description copied from interface: `IPlanDescriptor`
      The set of parameters this plan assumes to be bound
      Specified by:
        `getAdornment` in interface `IPlanDescriptor`

    - #### getIteratedKeys

          public java.util.Set<IInputKey> getIteratedKeys()

      Description copied from interface: `IPlanDescriptor`
      The collection of `IInputKey`s which needs to be iterated during the execution of this plan. For optimal performance, instances of these keys might be indexed.
      Specified by:
        `getIteratedKeys` in interface `IPlanDescriptor`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`